1. François Van Lerberghe
  2. Valentina Database ADK
  3. Wednesday, May 27 2015, 08:12 AM
  4.  Subscribe via email
Trying to execute the "install_vcomponents_v4rb_v5" I get an error in the terminal :
install_name_tool: object: /Users/francoisvanlerberghe/Desktop/Mac OS X (Intel)/Pegase http://3.0b36.app/Contents/vcomponents/libvshared_fat_release.dylib malformed object (unknown load command 18)

Can you help me to fix the problem ?

I use RealStudio 2010r3.2 on MacOS 10.6.8, V4RB 5.8.5 and have XCode 3.2.6 installed
I'haven't any problem with V4RB 4.3 nor 4.9

François Van Lerberghe
Comment
There are no comments made yet.
Beatrix Willius Accepted Answer
Have you checked, if install_name_tool is installed? You could try to hardcode the path in the Valentina script.

Mit freundlichen Grüßen/Regards

Trixi Willius

http://www.mothsoftware.com
Mail Archiver X: The email archiving solution for professionals
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 1
Beatrix Willius Accepted Answer
This forum is incredibly stupid. First I post 2 times. Then I try to edit the last post. And the §$%& forum software manages to change both posts.

Anyhow.

Did you check if install_name_tool is installed? If yes, have you tried to hardcode the path to it in the Valentina script?
Mit freundlichen Grüßen/Regards

Trixi Willius

http://www.mothsoftware.com
Mail Archiver X: The email archiving solution for professionals
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 2
Hi Beatrix,
Thank you for youranswer. Yes, I have install_name_tool installed. And this is working well with V4RB4.3 and "install_vcomponents_v4rb" (just done this before). I'll go to try hardcoding the path.
Cheers.
François Van Lerberghe
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 3
Tried with harcoded path (/usr/bin/install_name_tool), but this doesn't change anything. Same result.

François Van Lerberghe
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 4
I really need to find a fix to this problem as I cannot make my executable with V4RB 5.8.5.

François Van Lerberghe
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 5
Does this error occur because of my version of install_name_tool (as I use MacOS 10.6.8 and XCode 3.2.6 and the modification date of this file is 24 october 2010) ? Is there a minimum version to use ?
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 6
Beatrix Willius Accepted Answer
The Google tells me that "malformed object" means that install_name_tool needs to be updated. See http://stackoverflow.com/questions/10390186/install-name-tool-reporting-malformed-object

But yes, if you can update to the latest and greatest version of MacOS. It's ugly, you may have to update your software etc.

Regards

Trixi

PS: Trying to post only one time now.
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 7
Ruslan Zasukhin Accepted Answer
Well, it seems yes because your utility do not understand format of binary code ...
Right now we are not ready to say what is minimal supported version.
Do you have any chance to use need Mac OS X and tools for this?
May be using virtual machine? Virtual Box or else ...
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 8
With MacOS 10.10.3, install_name_tool that have a modification date of 29 september 2014 and after installation of the developer command line tool, no more problem.

I really would like to have some more information about the minimum system requirement !
I can read at http://valentina-db.net/en/database-adk-api-requirements :
"Mac OS X 10.5 or later"
This seems to be ok using Valentina engine, but what about the tools we need to use to create an application ?
It is very sad if you drop Mac OS X 10.6. Can you say me more about the minimum "install_name_tool" needed ?

François Van Lerberghe
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 9
Ruslan Zasukhin Accepted Answer
Valentina products 5.x branch built against SDK 10.6

It needs to differ:
a) developer computer
b) Deployment computer.

Yes, in our 5.x products we have set Deployment OS as 10.5 ... in hope it will work,
Because we use only C++ API of OS, we do not use any ObjC features, which Apple move forward very fast.

Notice, Apple itself have to drop even 10.8! You can see this if install latest Xcode.


* In 6.x products we link against SDK 10.8 and deployment also 10.8.
Comment
There are no comments made yet.
  1. more than a month ago
  2. Valentina Database ADK
  3. # 10
  • Page :
  • 1


There are no replies made for this post yet.
However, you are not allowed to reply to this post.